org.jboss.jca.as.converters.wls.metadata

## Class InboundCallerPrincipalMappingImpl

- java.lang.Object
- - org.jboss.jca.as.converters.wls.metadata.InboundCallerPrincipalMappingImpl

- All Implemented Interfaces:
    java.io.Serializable, InboundCallerPrincipalMapping, WlsMetadata

      public class InboundCallerPrincipalMappingImpl
      extends java.lang.Object
      implements InboundCallerPrincipalMapping

  A generic SecurityWorkContext.
  Author:
    Jeff Zhang
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.wls.api.metadata.InboundCallerPrincipalMapping

      `InboundCallerPrincipalMapping.Attribute, InboundCallerPrincipalMapping.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InboundCallerPrincipalMappingImpl(java.lang.String eisCaller, AnonPrincipal mcp)` constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEisCallerPrincipal()` getEisCallerPrincipal
    `AnonPrincipal` | `getMappedCallerPrincipal()` getMappedCallerPrincipal

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InboundCallerPrincipalMappingImpl

          public InboundCallerPrincipalMappingImpl(java.lang.String eisCaller,
                                                   AnonPrincipal mcp)

      constructor
      Parameters:
        `eisCaller` - eisCaller
        `mcp` - AnonPrincipal

  - ### Method Detail

    - #### getEisCallerPrincipal

          public java.lang.String getEisCallerPrincipal()

      Description copied from interface: `InboundCallerPrincipalMapping`
      getEisCallerPrincipal
      Specified by:
        `getEisCallerPrincipal` in interface `InboundCallerPrincipalMapping`
      Returns:
        the EisCallerPrincipal

    - #### getMappedCallerPrincipal

          public AnonPrincipal getMappedCallerPrincipal()

      Description copied from interface: `InboundCallerPrincipalMapping`
      getMappedCallerPrincipal
      Specified by:
        `getMappedCallerPrincipal` in interface `InboundCallerPrincipalMapping`
      Returns:
        the AnonPrincipal

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)